From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Mon, 27 Sep 2021 10:02:05 +0200
Subject: arm64: dts: imx8mq: add interrupt description to mipi csi nodes

unused in the driver
---
 arch/arm64/boot/dts/freescale/imx8mq.dtsi | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq.dtsi b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
index d87697f..0f5838e 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
@@ -1376,6 +1376,7 @@ uart4: serial@30a60000 {
 			mipi_csi1: csi@30a70000 {
 				compatible = "fsl,imx8mq-mipi-csi2";
 				reg = <0x30a70000 0x1000>;
+				interrupts = <GIC_SPI 44 IRQ_TYPE_LEVEL_HIGH>;
 				clocks = <&clk IMX8MQ_CLK_CSI1_CORE>,
 				   <&clk IMX8MQ_CLK_CSI1_ESC>,
 				   <&clk IMX8MQ_CLK_CSI1_PHY_REF>;
@@ -1428,6 +1429,7 @@ csi1_ep: endpoint {
 			mipi_csi2: csi@30b60000 {
 				compatible = "fsl,imx8mq-mipi-csi2";
 				reg = <0x30b60000 0x1000>;
+				interrupts = <GIC_SPI 45 IRQ_TYPE_LEVEL_HIGH>;
 				clocks = <&clk IMX8MQ_CLK_CSI2_CORE>,
 				   <&clk IMX8MQ_CLK_CSI2_ESC>,
 				   <&clk IMX8MQ_CLK_CSI2_PHY_REF>;
